Choose puppet class while creating a Smart Variable from any other class.

12/15/2015 10:17 AM - Jitendra Yejare

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Parameters   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1291775 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1291775

Description of problem:

I believe we should be able to choose puppet class while creating a Smart Variable. As of now we can do that after editing variable.

Version-Release number of selected component (if applicable):

How reproducible:

Always

Scenario 1:

Steps to Reproduce:

From Config -> Classes -> Class -> Smart Variables, create a new Smart Variable.

Actual results:

The smart variable is created in the same class from where we created it.

Scenario 2:

Steps:

-> Edit the above created variable. And Change the Puppet Class it belongs to.

Actual Result:

This changes the puppet class of that smart variable.

Expected results:

we should be able to choose puppet class while 'creating' Smart Variable.

Additional info:

History

#1 - 12/15/2015 10:28 AM - Dominic Cleal

- Description updated

- Category set to Parameters

#2 - 12/13/2016 06:37 AM - Ori Rabin

- Status changed from New to Rejected

After discussion it was decided to open: http://projects.theforeman.org/issues/16440 instead and allow to create a smart variable from the smart

variables index page to avoid the confusion of choosing a puppet class while in the context of a different puppet class.
